microsoft-foundry.rest.security.o-auth2-auth
Agent Invocations
Cancel an agent invocation
POST
/agents/{agent_name}/endpoint/protocols/invocations/{invocation_id}/cancel
Cancels an invocation. Returns 404 if the agent does not support this operation or if the invocation ID is not found.
Yol parametreleri
agent_name
string
gerekli
The name of the agent.
invocation_id
string
gerekli
The unique identifier of the invocation to cancel.
Üst bilgi parametreleri
x-ms-user-identity
string
Opaque per-user identity string used to scope endpoint-scoped data to a specific end user. The caller must have the agents/endpoints/UserIdentityImpersonation/action RBAC permission.
Sorgu parametreleri
api-version
string
gerekli
The API version to use for this operation.
İstek Gövdesi
Optional request body.
Content-Type: */*
Yanıtlar
The request has succeeded.
Üst Bilgiler
x-agent-session-id
string
gerekli
Session ID for this invocation. Returns the session ID associated with the invocation.
Gövde
Content-Type: */*
İstek
POST /agents/{agent_name}/endpoint/protocols/invocations/{invocation_id}/cancel HTTP/1.1
Response
Status: 200
Content-Type: */*
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json